Name:           python-zbase32
Version:        1.1.5
Release:        3%{?dist}
Summary:        A base32 encoder/decoder
License:        BSD and LGPLv2
URL:            http://allmydata.org/trac/zbase32
Source0:        http://pypi.python.org/packages/source/z/zbase32/zbase32-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  pyutil
Requires:       pyutil

%description
An alternate base32 encoder (not RFC 3548 compliant).

%prep
%setup -qn zbase32-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

chmod 0755 %{buildroot}%{python2_sitelib}/zbase32/test/test_zbase32.py
chmod 0755 %{buildroot}%{python2_sitelib}/zbase32/zbase32.py

%check
%{__python2} setup.py test

%files
%doc README DESIGN TODO
%{python2_sitelib}/zbase32
%{python2_sitelib}/zbase32-%{version}-py%{python2_version}.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 30 2013 Christopher Meng <rpm@cicku.me> - 1.1.5-1
- Update to 1.1.5

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.1.3-1
- Upstream released new version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.1.2-7
- pyutil is in. Re-enable tests. Re-add Requires: pyutil

* Tue Jul 27 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.1.2-6
- Also comment out Requires: pyutil

* Tue Jul 27 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.1.2-5
- Disable tests. We need to bootstrap against pyutil

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.1.2-3
- Re-diff patch

* Thu Jun 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.1.2-2
- Re-add patch

* Thu Jun 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.1.2-1
- Upstream released new version

* Sun Feb 21 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.1.1-4
- Require pyutil now it's in

* Tue Feb 09 2010 Ruben Kerkhof <ruben@rubenkerkhof.com 1.1.1-3
- Stop setuptools from looking for setuptools_darcs

* Mon Feb 01 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.1.1-2
- Disable dependency on pyutil until that's approved (#560457)

* Sun Jan 31 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.1.1-1
- Initial import

